petsc-3.10.5 2019-03-28
Report Typos and Errors

# MatSetNearNullSpace

attaches a null space to a matrix, which is often the null space (rigid body modes) of the operator without boundary conditions This null space will be used to provide near null space vectors to a multigrid preconditioner built from this matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSetNearNullSpace(Mat mat,MatNullSpace nullsp)

Logically Collective on Mat and MatNullSpace

### Input Parameters

| mat | - the matrix
| nullsp | - the null space object

### Notes

Overwrites any previous near null space that may have been attached

You can remove the null space by calling this routine with an nullsp of NULL

### See Also

MatCreate(), MatNullSpaceCreate(), MatSetNullSpace(), MatNullSpaceCreateRigidBody(), MatGetNearNullSpace()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Examples

src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html
src/ksp/ksp/examples/tutorials/ex72.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages